<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<h1 align="center">
		Welcome to HTML Forms Home Page
	</h1>

	<!-- Semantic Tags
			New additions to HTML; can also be containers for elements, but they are definitive of its content without relying to semantic id. However, em and strong are also semantic tags as they are used over i and b respectively.

		Semantic Containers
			nav, main, section, etc. are more preferred by developers now because it aids in better search engine optimization. Also, each tag clearly defines what content is to be added.
	 -->


	<!-- 
		nav - semantic container which contains navigation links 
		main - semantic container which contains main content
		section - semantic container which contains the parts of the page
	-->
	 <nav>
		<a href="./table.html">HTML Table</a>			<a href="../activity/contact.html">HTML Contact</a>
	</nav>

	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gather information/data from the user and send that information to a server.</p>
		</section>
		<section>
			<!-- 
			form - allows to createa form. gather data that the user input and submit it to a server.
			
			action - determines to which server the data will be sent.

			label - allows to create an element that serves as a label or indicator to the input; add a for attribute to the label will allow association of the label element to an input label. (id tag will be associated with the for tag)

			input type name - creates an input element to add user input; can have many types to allow the addition of different kinds of information e.g. text, numbers, dates.

			type attribute - allows to identify the kind of information to be provided to the input; affects the behavior of the element approproate to the type of data to be gathered.

			name attribute - allows to provide a name/ an identifier for the valie of the input element; allows properly identification of the value of an input in a form.

			id attribute - provides unique identifier to an element; used by the label to which it is associated.

			required attribute - requires the input element to be filled before submitting.

			autocomplete - suggests inputs; allows for better user experience

			input type date - used to input date

			button - used to interact with the page. can trigger action, reset/submit the form.
				type - indicates the action of the button

			input type number - allows number to be input in an element
				min att - sets the minimum number to input
				max att - sets the maximum number to input

			select tag - allows creation drop down menu with choices
				option tag - allows creation of choices available for tje select tag

				value attribute - provide the value per option since typing the option cannot be done in the input.

			input type radio - allows creation of radio buttons; allows the user to choose an option; cannot be unticked

			input type checkbox - allows creation of checkbox for multiple selection among multiple choices; can be unticked



			 -->
			<form action="https://google.com">
				<!-- Full name -->
				<label for="fname">Full Name:</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bdate">Birthdate</label>
				<input type="date" name="birthday" id="bdate" required>

				<br>
				<!-- age -->
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
					<option value="Other">Other</option>
				</select>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				<label for="radioUser1">Yes</label>
				<input type="radio" name="new_user" id="radioUser2" value="yes"></input>
				<br>
				<label for="radioUser1">No</label>
				<input type="radio" name="new_user" id="radioUser2" value="no"></input>
				<br>
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="Manager">
				<label for="roleInput3">Manager</label>

				<br>

				<br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>